### Virtual Method

# Clutter Constraint update_allocation

#### Declaration [src]

    void
    update_allocation (
      ClutterConstraint* constraint,
      ClutterActor* actor,
      ClutterActorBox* allocation
    )

#### Description [src]

Virtual function used to update the allocation of the `ClutterActor` using the `ClutterConstraint`.

#### Parameters

`actor`

  Type: `ClutterActor`

  No description available.

  The data is owned by the caller of the method.

`allocation`

  Type: `ClutterActorBox`

  No description available.

  The data is owned by the caller of the method.